package com.slodon.b2b2c.dao.write.live;

import com.slodon.b2b2c.core.database.BaseWriteMapper;
import com.slodon.b2b2c.live.example.LiveGoodsExample;
import com.slodon.b2b2c.live.pojo.LiveGoods;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface LiveGoodsWriteMapper extends BaseWriteMapper<LiveGoods, LiveGoodsExample> {
    List<Integer> getLivesGoodsIds();

    void updateLivesGoodsType(@Param("liveGoodsList") List<LiveGoods> liveGoodsList);

    List<LiveGoods> getListRelation(@Param("name")String name, @Param("roomId")Integer roomId);
}
